Deactivate a WhatsApp Number
curl --request PATCH \
--url https://api.getnexor.ai/api/public/whatsapp-numbers/{id}/deactivate \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getnexor.ai/api/public/whatsapp-numbers/{id}/deactivate"
headers = {"X-API-Key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getnexor.ai/api/public/whatsapp-numbers/{id}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"number": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"display_name": "<string>",
"status": "<string>",
"is_active": true,
"is_default": true,
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_type": "<string>",
"business_account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"internal_name": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}Deactivate a WhatsApp Number
This operation lets you deactivate a WhatsApp number for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
PATCH
/
whatsapp-numbers
/
{id}
/
deactivate
Deactivate a WhatsApp Number
Last modified on September 8, 2026
⌘I